Package uk.ac.starlink.vo

## Class ResourceIcon

- java.lang.Object
- - uk.ac.starlink.vo.ResourceIcon

-     public class ResourceIcon
      extends java.lang.Object

  Stores icons used by the VO package.
  Since:
    15 Jul 2015
  Author:
    Mark Taylor

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static javax.swing.Icon` | `ADQL_ADDTAB` |
    `static javax.swing.Icon` | `ADQL_CLEAR` |
    `static javax.swing.Icon` | `ADQL_COPYTAB` |
    `static javax.swing.Icon` | `ADQL_ERROR` |
    `static javax.swing.Icon` | `ADQL_INSERTCOLS` |
    `static javax.swing.Icon` | `ADQL_INSERTTABLE` |
    `static javax.swing.Icon` | `ADQL_REDO` |
    `static javax.swing.Icon` | `ADQL_REMOVETAB` |
    `static javax.swing.Icon` | `ADQL_TITLETAB` |
    `static javax.swing.Icon` | `ADQL_UNDO` |
    `static javax.swing.Icon` | `EXTLINK` |
    `static javax.swing.Icon` | `NODE_SERVICE` |
    `static javax.swing.Icon` | `NODE_TABLE` |
    `static ResourceIcon` | `REF` | Sole class instance.
    `static javax.swing.Icon` | `RELOAD` |
    `static javax.swing.Icon` | `TLD_CONE` |
    `static javax.swing.Icon` | `TLD_REGISTRY` |
    `static javax.swing.Icon` | `TLD_SIA` |
    `static javax.swing.Icon` | `TLD_SSA` |
    `static javax.swing.Icon` | `TLD_TAP` |
    `static javax.swing.Icon` | `VO_DOWHAT` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REF

          public static final ResourceIcon REF

      Sole class instance. This doesn't do anything but may be useful for referencing members.

    - #### TLD_CONE

          public static final javax.swing.Icon TLD_CONE

    - #### TLD_SIA

          public static final javax.swing.Icon TLD_SIA

    - #### TLD_SSA

          public static final javax.swing.Icon TLD_SSA

    - #### TLD_REGISTRY

          public static final javax.swing.Icon TLD_REGISTRY

    - #### TLD_TAP

          public static final javax.swing.Icon TLD_TAP

    - #### ADQL_UNDO

          public static final javax.swing.Icon ADQL_UNDO

    - #### ADQL_REDO

          public static final javax.swing.Icon ADQL_REDO

    - #### ADQL_ADDTAB

          public static final javax.swing.Icon ADQL_ADDTAB

    - #### ADQL_COPYTAB

          public static final javax.swing.Icon ADQL_COPYTAB

    - #### ADQL_REMOVETAB

          public static final javax.swing.Icon ADQL_REMOVETAB

    - #### ADQL_TITLETAB

          public static final javax.swing.Icon ADQL_TITLETAB

    - #### ADQL_ERROR

          public static final javax.swing.Icon ADQL_ERROR

    - #### ADQL_CLEAR

          public static final javax.swing.Icon ADQL_CLEAR

    - #### ADQL_INSERTTABLE

          public static final javax.swing.Icon ADQL_INSERTTABLE

    - #### ADQL_INSERTCOLS

          public static final javax.swing.Icon ADQL_INSERTCOLS

    - #### NODE_SERVICE

          public static final javax.swing.Icon NODE_SERVICE

    - #### NODE_TABLE

          public static final javax.swing.Icon NODE_TABLE

    - #### EXTLINK

          public static final javax.swing.Icon EXTLINK

    - #### RELOAD

          public static final javax.swing.Icon RELOAD

    - #### VO_DOWHAT

          public static final javax.swing.Icon VO_DOWHAT

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.